1. Endpoint
GET https://rest-api.argosidentity.com/v3/projection
GET https://kr.rest-api.argosidentity.com/v3/projection
2. Authentication
Include the API key in thex-api-key header:
x-api-key
x-api-key: {yourAPIKey}
3. Request Body
There is no requirement for the request body.4. Request Example
curl --location 'https://rest-api.argosidentity.com/v3/projection' \
--header 'x-api-key: {yourAPIKey}'
curl --location 'https://kr.rest-api.argosidentity.com/v3/projection' \
--header 'x-api-key: {yourAPIKey}'
5. Response
5-1. Success Response
{
"items": [
{
"projection_id": "{projection_id}",
"name": "{name}",
"mode": "{mode}",
"fields": [
"gender",
"nationality"
],
"created_at": "2023-12-01T12:34:56.789Z"
},
{
"projection_id": "{projection_id}",
"name": "{name}",
"mode": "{mode}",
"fields": [
"gender",
"nationality"
],
"created_at": "2023-12-01T12:34:56.789Z"
}
],
"message": "Get projection list success"
}
5-2. Response Field
| Field Name | Description | Data Type | Category |
|---|---|---|---|
projection_id | The unique ID of the generated projection | String | Projection Info |
name | The projection name | String | Projection Info |
mode | The projection mode. Currently, there is only the exclude option. | String | Projection Info |
fields | The list to exclude specific fields. | Array<String> | Projection Info |
created_at | Created Time (Type of ISO 8601) | String | Projection Info |
5-3. Error Codes
| Status Code | Error Message | Description |
|---|---|---|
| 404 | Projection not found | When required fields (name, mode, fields) are missing in the request body |
| 405 | Method not allowed for /projections/projectionId path | HTTP requests (PUT, DELETE, etc.) are not GET or POST. |
| 500 | Internal server error | When the server encounters an unexpected exception error |